#include <string>
#include <list>

#include "print.hpp"

// file exists 
#include <sys/stat.h>

#undef PARAM_CLASS
#include "config_macros.hpp"
#include PARAMETER_DEFINES

PARAM_CLASS(PARAMETER_CLASS)
{
PARAM_BASE(PARAMETER_CLASS)
private:
#include "config_macros.hpp"
#include PARAMETER_DEFINES
public:
#include "config_macros.hpp"
#include PARAMETER_DEFINES
};
